/*
 * Copyright (c) Infinitegra Inc, All rights reserved.
 */

package infinitegra.owlift.sample.owliftsampleapp;

public class FrameRate
{
	private String fpsString = "-.-";
	private int count;
	private long tmStart;
	private static final int COUNT_MAX = 15;

	FrameRate()
	{
	}

	public void reset()
	{
		count = 0;
		tmStart = 0;
	}

	public void record()
	{
		if (tmStart == 0) {
			tmStart = System.currentTimeMillis();
			return;
		}
		float fps;

		if (count++ == COUNT_MAX) {
			long t = System.currentTimeMillis();

			fps = t == tmStart ? 0 : (float)count
				/ (float)(t - tmStart) * 1000.0f;
			fpsString = String.format("%3.1f", fps);
			count = 0;
			tmStart = System.currentTimeMillis();
		}
	}

	public String getFpsString()
	{
		return fpsString;
	}

}
